import 'package:flutter/material.dart';

import '../app/constant.dart';

class MyAntrianCustomerServiceDedicated extends StatelessWidget {
  final String antrian;
  final String skip;
  const MyAntrianCustomerServiceDedicated(
      {Key? key, required this.antrian, required this.skip})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    // return SizedBox(
    //   width: Constant.getActualX(context: context, x: 420),
    //   height: Constant.getActualY(context: context, y: 100),
    //   child: Stack(
    //     alignment: Alignment.centerLeft,
    //     children: [
    //       Container(
    //         width: Constant.getActualX(context: context, x: 420),
    //         height: Constant.getActualY(context: context, y: 80),
    //         decoration: BoxDecoration(boxShadow: [
    //           BoxShadow(color: Colors.black.withOpacity(0.25), blurRadius: 8)
    //         ], borderRadius: BorderRadius.circular(20), color: Colors.white),
    //         child: Padding(
    //           padding: const EdgeInsets.only(
    //             left: 80,
    //           ),
    //           child: Text(antrian,
    //               textAlign: TextAlign.center,
    //               style: Constant.h2(context: context)
    //                   .copyWith(color: Constant.textRed)),
    //         ),
    //       ),
    //       Padding(
    //         padding: const EdgeInsets.all(15),
    //         child: Container(
    //           width: Constant.getActualX(context: context, x: 100),
    //           height: Constant.getActualY(context: context, y: 100),
    //           decoration: BoxDecoration(
    //               borderRadius: BorderRadius.circular(20),
    //               gradient:
    //                   LinearGradient(colors: [Constant.red1, Constant.red2])),
    //           child: const Icon(
    //             Icons.arrow_forward_ios_rounded,
    //             size: 40,
    //             color: Colors.white,
    //           ),
    //         ),
    //       ),
    //     ],
    //   ),
    // );

    return SingleChildScrollView(
      child: SizedBox(
        width: Constant.getActualX(context: context, x: 890),
        height: Constant.getActualY(context: context, y: 100),
        child: Stack(
          alignment: Alignment.centerLeft,
          children: [
            Container(
              width: Constant.getActualX(context: context, x: 890),
              height: Constant.getActualY(context: context, y: 80),
              decoration: BoxDecoration(boxShadow: [
                BoxShadow(color: Colors.black.withOpacity(0.25), blurRadius: 8)
              ], borderRadius: BorderRadius.circular(20), color: Colors.white),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.start,
                children: [
                  SizedBox(
                    width: Constant.getActualX(context: context, x: 80),
                  ),
                  Expanded(
                    child: Text(
                      antrian,
                      textAlign: TextAlign.left,
                      overflow: TextOverflow.ellipsis,
                      style: Constant.S50(context: context)
                          .copyWith(color: Constant.textRed),
                    ),
                  ),
                  skip != 'NEW'
                      ? SizedBox(
                          width: Constant.getActualX(context: context, x: 100),
                          child: Text('Skipped'))
                      : SizedBox()
                ],
              ),
            ),
            Padding(
              padding: const EdgeInsets.only(
                left: 10,
              ),
              child: Container(
                width: Constant.getActualX(context: context, x: 50),
                height: Constant.getActualY(context: context, y: 50),
                decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(10),
                    gradient:
                        LinearGradient(colors: [Constant.red1, Constant.red2])),
                child: const Icon(
                  Icons.arrow_forward_ios_rounded,
                  size: 30,
                  color: Colors.white,
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
